36 Replies Latest reply: Dec 17, 2014 1:30 PM by DirectorLawrence RSS

    Flash Player 11 not compatible with Mac OS X 10.5

    macnut44 Community Member

      I just received an Update notification from Adobe system - to update Adobe Flash Player but the Update download doesn't specify what version of Flash Player this would install. When I clicked on "See Details" it took me to an Adobe page that does not SPECIFICALLY address the issue of which version of Flash player this Update notice would install. Unfortunately, I had previously choose to install this UNKNOWN version update and it totally screwed up all Flash videos that I attempted to view. I caused a rapid blinking or flashing of the video then crashed the browser (both, Firefox and Safari). Only after a lot of further research did I discover that Adobe's latest Flash Player Update installed version 11 and version 11 is reported (by Adobe) to be compatible with Mac OS X 10.6, 10.7+.  I am running Mac OS X 10.5.8. The Flash installer should have detected the OS version that my computer is running (but obviously it did not!!!). I had to spend more of my valuable time to UN-install Flash Player version 11 and then RE-install version Everything is fine now.............but why is Adobe sending out Updates for Flash Player that: #1 - do not specify what version this Update will be installing and #2 (and more significantly) - why doesn't the Update installer detect the operating system on a computer and if NOT COMPATIBLE, cancel the installation? This is a ridulous and time consuming situation caused by Adobe Systems.